Bug 840878 - Review Request: liberation-narrow-fonts - Sans-serif Narrow fonts to replace commonly used Arial Narrow
Review Request: liberation-narrow-fonts - Sans-serif Narrow fonts to replace ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-17 09:33 EDT by Pravin Satpute
Modified: 2012-07-27 06:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-27 06:59:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pravin Satpute 2012-07-17 09:33:56 EDT
Scratch build : http://koji.fedoraproject.org/koji/taskinfo?taskID=4246404

SRPM Url : http://pravins.fedorapeople.org/liberation-narrow-fonts-1.07.2-7.fc17.src.rpm
SPEC Url : http://pravins.fedorapeople.org/liberation-narrow-fonts.spec


Additional Information:
- liberation-fonts-2.00.0 upstream version is licensed under OFL. 
- Due to licensing problem of Liberation Sans Narrow cant keep this package together with liberation-fonts.
- This is one of the existing subpackage of package liberation-fonts-1.07.2-6.
- In future if licensing problem of Liberation Sans Narrow gets resolved then we can orphan this package and can provide it as a subpackage of liberation-fonts.
Comment 1 Parag AN(पराग) 2012-07-20 05:33:33 EDT
suggestions:
1) Use %global instead of %define.
2) cp commands should preserve timestamp
3) use actual commands for {_ln_s}
Comment 2 Pravin Satpute 2012-07-20 08:15:54 EDT
hmm, lots of changes happened after liberation-fonts last review. I will do suggested changes in liberation-fonts packages as wellupdated spec and srpm.

Wondering still liberation fonts does not have .conf file, task pending on me though

SRPM Url : http://pravins.fedorapeople.org/liberation-narrow-fonts-1.07.2-8.fc17.src.rpm
SPEC Url : http://pravins.fedorapeople.org/liberation-narrow-fonts.spec
Comment 3 Parag AN(पराग) 2012-07-24 06:42:08 EDT
Review:-

+ Koji f18 scratch build -> http://koji.fedoraproject.org/koji/taskinfo?taskID=4325263

+ rpmlint on rpms gave
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ source verified with upstream as (sha1sum)
4db1abfdb6e41bdc9a461fc7dfecf996ff1d66e6  liberation-fonts-1.07.2.tar.gz
4db1abfdb6e41bdc9a461fc7dfecf996ff1d66e6  ../SOURCES/liberation-fonts-1.07.2.tar.gz

+ License is same as old package license and valid.

APPROVED.

You need to import this package and new update of liberation-fonts in same rawhide update.
Comment 4 Pravin Satpute 2012-07-25 04:42:27 EDT
Thanks Parag for review.

New Package SCM Request
=======================
Package Name: liberation-narrow-fonts
Short Description: Sans-serif Narrow fonts to replace commonly used Arial Narrow 
Owners: pravins
Branches: 
InitialCC: i18n-team
Comment 5 Gwyn Ciesla 2012-07-25 05:52:19 EDT
Git done (by process-git-requests).
Comment 6 Pravin Satpute 2012-07-27 06:59:01 EDT
Thanks Jon for git. 
Built this for rawhide.

Note You need to log in before you can comment on or make changes to this bug.